(defproblem problem domain 
  (
    (capacity-predecessor capacity-0 capacity-1)
    (capacity-predecessor capacity-1 capacity-2)
    (road city-loc-0 city-loc-1)
    (road city-loc-0 city-loc-2)
    (road city-loc-0 city-loc-15)
    (road city-loc-1 city-loc-0)
    (road city-loc-1 city-loc-7)
    (road city-loc-1 city-loc-8)
    (road city-loc-2 city-loc-16)
    (road city-loc-2 city-loc-0)
    (road city-loc-2 city-loc-11)
    (road city-loc-3 city-loc-15)
    (road city-loc-4 city-loc-17)
    (road city-loc-4 city-loc-4)
    (road city-loc-4 city-loc-8)
    (road city-loc-4 city-loc-12)
    (road city-loc-5 city-loc-14)
    (road city-loc-6 city-loc-18)
    (road city-loc-6 city-loc-10)
    (road city-loc-7 city-loc-1)
    (road city-loc-7 city-loc-14)
    (road city-loc-8 city-loc-1)
    (road city-loc-8 city-loc-4)
    (road city-loc-8 city-loc-9)
    (road city-loc-8 city-loc-12)
    (road city-loc-9 city-loc-8)
    (road city-loc-9 city-loc-14)
    (road city-loc-10 city-loc-6)
    (road city-loc-11 city-loc-2)
    (road city-loc-12 city-loc-4)
    (road city-loc-12 city-loc-8)
    (road city-loc-13 city-loc-14)
    (road city-loc-14 city-loc-18)
    (road city-loc-14 city-loc-5)
    (road city-loc-14 city-loc-7)
    (road city-loc-14 city-loc-9)
    (road city-loc-14 city-loc-13)
    (road city-loc-15 city-loc-0)
    (road city-loc-15 city-loc-3)
    (road city-loc-16 city-loc-2)
    (road city-loc-17 city-loc-4)
    (road city-loc-18 city-loc-6)
    (road city-loc-18 city-loc-14)
    (at package-0 city-loc-2)
    (at package-1 city-loc-3)
    (at package-2 city-loc-8)
    (at package-3 city-loc-9)
    (at package-4 city-loc-8)
    (at package-5 city-loc-15)
    (at package-6 city-loc-17)
    (at package-7 city-loc-13)
    (at package-8 city-loc-8)
    (at package-9 city-loc-5)
    (at package-10 city-loc-14)
    (at package-11 city-loc-12)
    (at package-12 city-loc-6)
    (at package-13 city-loc-9)
    (at package-14 city-loc-7)
    (at package-15 city-loc-11)
    (at package-16 city-loc-17)
    (at package-17 city-loc-14)
    (at package-18 city-loc-12)
    (at package-19 city-loc-10)
    (at truck-0 city-loc-2)
    (at truck-1 city-loc-10)
    (at truck-2 city-loc-11)
    (at truck-3 city-loc-4)
    (at truck-4 city-loc-6)
    (capacity truck-0 capacity-2)
    (capacity truck-1 capacity-2)
    (capacity truck-2 capacity-2)
    (capacity truck-3 capacity-2)
    (capacity truck-4 capacity-2)
    (type_capacity-number capacity-0)
    (type_capacity-number capacity-1)
    (type_capacity-number capacity-2)
    (type_locatable package-0)
    (type_locatable package-1)
    (type_locatable package-10)
    (type_locatable package-11)
    (type_locatable package-12)
    (type_locatable package-13)
    (type_locatable package-14)
    (type_locatable package-15)
    (type_locatable package-16)
    (type_locatable package-17)
    (type_locatable package-18)
    (type_locatable package-19)
    (type_locatable package-2)
    (type_locatable package-3)
    (type_locatable package-4)
    (type_locatable package-5)
    (type_locatable package-6)
    (type_locatable package-7)
    (type_locatable package-8)
    (type_locatable package-9)
    (type_locatable truck-0)
    (type_locatable truck-1)
    (type_locatable truck-2)
    (type_locatable truck-3)
    (type_locatable truck-4)
    (type_location city-loc-0)
    (type_location city-loc-1)
    (type_location city-loc-10)
    (type_location city-loc-11)
    (type_location city-loc-12)
    (type_location city-loc-13)
    (type_location city-loc-14)
    (type_location city-loc-15)
    (type_location city-loc-16)
    (type_location city-loc-17)
    (type_location city-loc-18)
    (type_location city-loc-19)
    (type_location city-loc-2)
    (type_location city-loc-3)
    (type_location city-loc-4)
    (type_location city-loc-5)
    (type_location city-loc-6)
    (type_location city-loc-7)
    (type_location city-loc-8)
    (type_location city-loc-9)
    (type_object capacity-0)
    (type_object capacity-1)
    (type_object capacity-2)
    (type_object city-loc-0)
    (type_object city-loc-1)
    (type_object city-loc-10)
    (type_object city-loc-11)
    (type_object city-loc-12)
    (type_object city-loc-13)
    (type_object city-loc-14)
    (type_object city-loc-15)
    (type_object city-loc-16)
    (type_object city-loc-17)
    (type_object city-loc-18)
    (type_object city-loc-19)
    (type_object city-loc-2)
    (type_object city-loc-3)
    (type_object city-loc-4)
    (type_object city-loc-5)
    (type_object city-loc-6)
    (type_object city-loc-7)
    (type_object city-loc-8)
    (type_object city-loc-9)
    (type_object package-0)
    (type_object package-1)
    (type_object package-10)
    (type_object package-11)
    (type_object package-12)
    (type_object package-13)
    (type_object package-14)
    (type_object package-15)
    (type_object package-16)
    (type_object package-17)
    (type_object package-18)
    (type_object package-19)
    (type_object package-2)
    (type_object package-3)
    (type_object package-4)
    (type_object package-5)
    (type_object package-6)
    (type_object package-7)
    (type_object package-8)
    (type_object package-9)
    (type_object truck-0)
    (type_object truck-1)
    (type_object truck-2)
    (type_object truck-3)
    (type_object truck-4)
    (type_package package-0)
    (type_package package-1)
    (type_package package-10)
    (type_package package-11)
    (type_package package-12)
    (type_package package-13)
    (type_package package-14)
    (type_package package-15)
    (type_package package-16)
    (type_package package-17)
    (type_package package-18)
    (type_package package-19)
    (type_package package-2)
    (type_package package-3)
    (type_package package-4)
    (type_package package-5)
    (type_package package-6)
    (type_package package-7)
    (type_package package-8)
    (type_package package-9)
    (type_sort_for_capacity-0 capacity-0)
    (type_sort_for_capacity-1 capacity-1)
    (type_sort_for_capacity-2 capacity-2)
    (type_sort_for_city-loc-0 city-loc-0)
    (type_sort_for_city-loc-1 city-loc-1)
    (type_sort_for_city-loc-10 city-loc-10)
    (type_sort_for_city-loc-11 city-loc-11)
    (type_sort_for_city-loc-12 city-loc-12)
    (type_sort_for_city-loc-13 city-loc-13)
    (type_sort_for_city-loc-14 city-loc-14)
    (type_sort_for_city-loc-15 city-loc-15)
    (type_sort_for_city-loc-16 city-loc-16)
    (type_sort_for_city-loc-17 city-loc-17)
    (type_sort_for_city-loc-18 city-loc-18)
    (type_sort_for_city-loc-2 city-loc-2)
    (type_sort_for_city-loc-3 city-loc-3)
    (type_sort_for_city-loc-4 city-loc-4)
    (type_sort_for_city-loc-5 city-loc-5)
    (type_sort_for_city-loc-6 city-loc-6)
    (type_sort_for_city-loc-7 city-loc-7)
    (type_sort_for_city-loc-8 city-loc-8)
    (type_sort_for_city-loc-9 city-loc-9)
    (type_sort_for_package-0 package-0)
    (type_sort_for_package-1 package-1)
    (type_sort_for_package-10 package-10)
    (type_sort_for_package-11 package-11)
    (type_sort_for_package-12 package-12)
    (type_sort_for_package-13 package-13)
    (type_sort_for_package-14 package-14)
    (type_sort_for_package-15 package-15)
    (type_sort_for_package-16 package-16)
    (type_sort_for_package-17 package-17)
    (type_sort_for_package-18 package-18)
    (type_sort_for_package-19 package-19)
    (type_sort_for_package-2 package-2)
    (type_sort_for_package-3 package-3)
    (type_sort_for_package-4 package-4)
    (type_sort_for_package-5 package-5)
    (type_sort_for_package-6 package-6)
    (type_sort_for_package-7 package-7)
    (type_sort_for_package-8 package-8)
    (type_sort_for_package-9 package-9)
    (type_sort_for_truck-0 truck-0)
    (type_sort_for_truck-1 truck-1)
    (type_sort_for_truck-2 truck-2)
    (type_sort_for_truck-3 truck-3)
    (type_sort_for_truck-4 truck-4)
    (type_vehicle truck-0)
    (type_vehicle truck-1)
    (type_vehicle truck-2)
    (type_vehicle truck-3)
    (type_vehicle truck-4)
  )
  ((__top))
)
